## fsl 4.1.9

=== src/MVdisc/Makefile ===
# $Id: Makefile,v 1.5 2009/07/09 10:49:22 mwebster Exp $
include ${FSLCONFDIR}/default.mk

PROJNAME = MVdisc

USRINCFLAGS = -I${INC_NEWMAT} -I${INC_ZLIB}
USRLDFLAGS = -L${LIB_NEWMAT}  -L${LIB_ZLIB} 

LIBS= -lfslvtkio -lmeshclass -lnewimage -lmiscmaths -lfslio -lniftiio -lznz -lnewmat -lutils -lz

SHAPEOBJS=MVdisc.o
 
MODELOBJS=MVdisc.o

all: MVdisc.a 

MVdisc.a: ${SHAPEOBJS}
	${AR} -r libMVdisc.a ${SHAPEOBJS}

=== src/avwutils/Makefile ===

include ${FSLCONFDIR}/default.mk

PROJNAME = avwutils

USRINCFLAGS = -I${INC_NEWMAT} -I${INC_ZLIB}
USRLDFLAGS = -L${LIB_NEWMAT} -L${LIB_ZLIB}

LIBS = -lnewimage -lmiscmaths -lprob -lfslio -lnewmat -lutils -lniftiio -lznz -lm -lz

IOLIBS = -lfslio -lniftiio -lznz -lm -lz

XFILES = fslorient fslstats fslmerge \
         fslpspec fslroi fslnvols fsl2ascii fslascii2img  \
         fslsplit fslcc fslinterleave \
         fslhd fslcpgeom fslcreatehd fslcorrecthd fslmaths \
         fslcomplex fslfft fslmeants fslslice fslswapdim_exe fslchfiletype_exe

SCRIPTS = fslval fslchpixdim fslanimate fslsize sliceanimate fslinfo fsledithd avw2fsl fslswapdim fslchfiletype fslreorient2std

FSCRIPTS = fmriborient 

all: ${XFILES}

fslstats: fslstats.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fslstats.o ${LIBS} 

fslfft: fslfft.cc
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o fslfft fslfft.cc ${LIBS}

fslmeants: fslmeants.cc
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o fslmeants fslmeants.cc ${LIBS}

avwfixfloat: avwfixfloat.cc
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o avwfixfloat avwfixfloat.cc ${LIBS}

fslcomplex: fslcomplex.cc
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o fslcomplex fslcomplex.cc ${LIBS}

fslswapdim_exe: fslswapdim.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o fslswapdim_exe fslswapdim.o ${LIBS} 

fslorient: fslorient.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fslorient.o ${LIBS} 

fslslice: fslslice.cc
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o fslslice fslslice.cc ${LIBS}

fslpspec: fslpspec.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fslpspec.o ${LIBS} 


#start of matts c++ rewrites
fslroi: fslroi.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fslroi.o ${LIBS}

fslnvols: fslnvols.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fslnvols.o ${LIBS}

fsl2ascii: fsl2ascii.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fsl2ascii.o ${LIBS}

fslascii2img: fslascii2img.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fslascii2img.o ${LIBS}

fslsplit: fslsplit.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fslsplit.o ${LIBS}

fslmerge: fslmerge.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fslmerge.o ${LIBS}

fslcc: fslcc.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fslcc.o ${LIBS}

fslinterleave: fslinterleave.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fslinterleave.o ${LIBS}

fslhd: fslhd.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fslhd.o ${LIBS}

fslcpgeom: fslcpgeom.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fslcpgeom.o ${LIBS}

fslcorrecthd: fslcorrecthd.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fslcorrecthd.o ${LIBS}

fslcreatehd: fslcreatehd.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fslcreatehd.o ${LIBS}

fslmaths: fslmaths.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fslmaths.o ${LIBS}

fsldecorr4d: fsldecorr4d.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fsldecorr4d.o ${LIBS}

fslchfiletype_exe: fslchfiletype.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o fslchfiletype_exe fslchfiletype.o ${LIBS}

=== src/bet2/Makefile ===
# $Id: Makefile,v 1.12 2007/06/14 14:50:20 duncan Exp $
include ${FSLCONFDIR}/default.mk

PROJNAME = bet2

USRINCFLAGS = -I${INC_NEWMAT} -I${INC_ZLIB}
USRLDFLAGS = -L${LIB_NEWMAT} -L${LIB_ZLIB}

LIBS=-lmeshclass -lnewimage -lprob -lmiscmaths -lfslio -lniftiio -lznz -lnewmat -lutils -lz

BETOBJS=bet2.o 
BETSURFOBJS=betsurf.o 

XFILES=bet2 betsurf

SCRIPTS = old_betall bet

RUNTCLS = Bet

all: ${XFILES}

bet2: ${BETOBJS} 
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${BETOBJS} ${LIBS} 

betsurf: ${BETSURFOBJS} 
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${BETSURFOBJS} ${LIBS}

=== src/bint/Makefile ===
include ${FSLCONFDIR}/default.mk

PROJNAME = bint

USRINCFLAGS = -I${INC_NEWMAT} -I${INC_PROB} -I${INC_ZLIB}
USRLDFLAGS = -L${LIB_NEWMAT} -L${LIB_PROB} -L${LIB_ZLIB}

LIBS = -lutils -lnewimage -lmiscmaths -lm -lnewmat -lfslio -lniftiio -lznz -lprob -lz

XFILES = mean

OBJS = model.o lsmcmcmanager.o lslaplacemanager.o bintoptions.o meanoptions.o

#OPTFLAGS =

all:	${XFILES} libbint.a

libbint.a: ${OBJS}
	${AR} -r libbint.a ${OBJS}

mean:${OBJS} mean.o
	${CXX}  ${CXXFLAGS} ${LDFLAGS} -o $@ ${OBJS} mean.o ${LIBS}

=== src/cluster/Makefile ===
include ${FSLCONFDIR}/default.mk

PROJNAME = cluster

USRINCFLAGS = -I${INC_NEWMAT} -I${INC_PROB} -I${INC_ZLIB} -I${INC_BOOST} 
USRLDFLAGS = -L${LIB_NEWMAT} -L${LIB_PROB} -L${LIB_ZLIB}

LIBS = -lutils -lwarpfns -lbasisfield -lnewimage -lmiscmaths -lprob -lfslio -lniftiio -lznz -lnewmat -lz

IOBJS = infertest.o infer.o
ILIBS = -lprob

SMOOTHEST = smoothest
SOBJS = smoothest.o


CLUSTER = cluster
COBJS = cluster.o infer.o
CLIBS = -lutils -lwarpfns -lbasisfield -lnewimage -lmiscmaths -lfslio -lniftiio -lznz -lnewmat -lprob -lz

CCOBJS = connectedcomp.o

XFILES = smoothest cluster connectedcomp

SCRIPTS = cluster2html

all: ${XFILES}

smoothest: ${SOBJS}
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${SOBJS} ${LIBS}

infertest: ${IOBJS}
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${IOBJS} ${ILIBS}

cluster: ${COBJS}
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${COBJS} ${CLIBS} 

connectedcomp: ${CCOBJS}
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${CCOBJS} ${LIBS}

=== src/fabber/Makefile ===
include ${FSLCONFDIR}/default.mk

PROJNAME = fabber

USRINCFLAGS = -I${INC_NEWMAT} -I${INC_PROB} -I${BOOSTDIR}
USRLDFLAGS = -L${LIB_NEWMAT} -L${LIB_PROB}

LIBS = -lutils -lnewimage -lmiscmaths -lprob -lnewmat -lfslio -lniftiio -lznz -lz 

XFILES = fabber mvntool



OBJS = fwdmodel_flobs.o tools.o fwdmodel_q2tips.o inference_spatialvb.o dataset.o inference_vb.o noisemodel.o noisemodel_white.o fwdmodel_quipss2.o fwdmodel.o fwdmodel_simple.o fwdmodel_linear.o noisemodel_ar.o inference.o dist_mvn.o easylog.o easyoptions.o fwdmodel_asl_grase.o fwdmodel_asl_buxton.o inference_nlls.o fwdmodel_dsc.o


# For debugging:
OPTFLAGS = -ggdb
#OPTFLAGS =

all:	${XFILES}

fabber: ${OBJS} fabber.o
	${CXX}  ${CXXFLAGS} ${LDFLAGS} -o $@ ${OBJS} fabber.o ${LIBS}

mvntool: ${OBJS} mvntool.o
	${CXX}  ${CXXFLAGS} ${LDFLAGS} -o $@ ${OBJS} mvntool.o ${LIBS}

SCRIPTS = fabber_var

# DO NOT DELETE

=== src/fast4/Makefile ===
# A Makefile for the fast_two project

include ${FSLCONFDIR}/default.mk

PROJNAME = fast4

USRINCFLAGS = -I${INC_NEWMAT} -I${INC_ZLIB}
USRLDFLAGS = -L${LIB_NEWMAT} -L${LIB_ZLIB}

LIBS = -lnewimage -lmiscmaths -lprob -lfslio -lniftiio -lutils -lnewmat -lznz -lm -lz

SOBJS = ${NOBJS} fast_two.o mriseg_two.o multi_mriseg_two.o

XFILES = fast

RUNTCLS = Fast

all: ${XFILES}


fast: ${SOBJS}
	$(CXX)  ${CXXFLAGS} ${LDFLAGS} -o $@ ${SOBJS} ${LIBS}

=== src/fdt/Makefile ===
include $(FSLCONFDIR)/default.mk

PROJNAME = fdt

USRINCFLAGS = -I${INC_NEWMAT} -I${INC_NEWRAN} -I${INC_CPROB} -I${INC_PROB} -I${INC_BOOST} -I${INC_ZLIB}
USRLDFLAGS = -L${LIB_NEWMAT} -L${LIB_NEWRAN} -L${LIB_CPROB} -L${LIB_PROB} -L${LIB_ZLIB}

DLIBS = -lwarpfns -lbasisfield -lmeshclass -lnewimage -lutils -lmiscmaths -lnewmat -lnewran -lfslio -lniftiio -lznz -lcprob -lprob -lm -lz

DTIFIT=dtifit
CCOPS=ccops
PTX=probtrackx
FTB=find_the_biggest
PJ=proj_thresh
MED=medianfilter
ROM=reord_OM
SAUS=sausages
XFIBRES=xfibres
XFIBRES2=xfibres_2
RV=replacevols
MDV=make_dyadic_vectors
FMO=fdt_matrix_ops
INDEXER=indexer
TEST=testfile
VECREG=vecreg
KURTOSIS=kurtosis
SWAPDYADS=swap_dyadic_vectors
PVMFIT=pvmfit
DTIGEN=dtigen


DTIFITOBJS=dtifit.o dtifitOptions.o diffmodels.o
CCOPSOBJS=ccops.o ccopsOptions.o
PTXOBJS=probtrackx.o probtrackxOptions.o streamlines.o ptx_simple.o ptx_seedmask.o ptx_twomasks.o ptx_nmasks.o ptx_meshmask.o
FTBOBJS=find_the_biggest.o
PJOBJS=proj_thresh.o
MEDOBJS=medianfilter.o 
ROMOBJS=reord_OM.o
SAUSOBJS=sausages.o
XFIBOBJS=xfibres.o xfibresoptions.o diffmodels.o
XFIBOBJS2=xfibres_2.o xfibresoptions.o
RVOBJS=replacevols.o
MDVOBJS=make_dyadic_vectors.o
FMOOBJS=fdt_matrix_ops.o
INDEXEROBJS=indexer.o
TESTOBJS=testfile.o 
VECREGOBJS=vecreg.o
KURTOSISOBJS=kurtosis.o dtifitOptions.o
SWAPDYADSOBJS=swap_dyadic_vectors.o
PVMFITOBJS=pvmfit.o pvmfitOptions.o diffmodels.o
DTIGENOBJS=dtigen.o

SGEBEDPOST = bedpost 
SGEBEDPOSTX = bedpostx bedpostx_postproc.sh bedpostx_preproc.sh bedpostx_single_slice.sh bedpostx_datacheck

SCRIPTS = eddy_correct zeropad maskdyads probtrack rotate_bvecs ${SGEBEDPOST} ${SGEBEDPOSTX} 
FSCRIPTS = correct_and_average ocmr_preproc

XFILES = dtifit ccops find_the_biggest medianfilter make_dyadic_vectors proj_thresh vecreg xfibres probtrackx pvmfit

FXFILES = reord_OM sausages replacevols fdt_matrix_ops indexer


RUNTCLS = Fdt

all: ${XFILES} ${FXFILES} 

${PTX}:		   ${PTXOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${PTXOBJS} ${DLIBS}

${PT}:		   ${PTOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${PTOBJS} ${DLIBS} 

${FTB}:    	${FTBOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${FTBOBJS} ${DLIBS} 

${PJ}:    	${PJOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${PJOBJS} ${DLIBS} 

${MED}:    	${MEDOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${MEDOBJS} ${DLIBS} 

${DTIFIT}:    	${DTIFITOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${DTIFITOBJS} ${DLIBS}

${CCOPS}:    	${CCOPSOBJS}	
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${CCOPSOBJS} ${DLIBS}

${ROM}:    	${ROMOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${ROMOBJS} ${DLIBS}

${SAUS}:    	${SAUSOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${SAUSOBJS} ${DLIBS}

${XFIBRES}:    	${XFIBOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${XFIBOBJS} ${DLIBS}

${XFIBRES2}:    	${XFIBOBJS2}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${XFIBOBJS2} ${DLIBS}

${RV}:    	${RVOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${RVOBJS} ${DLIBS}

${MDV}:    	${MDVOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${MDVOBJS} ${DLIBS}

${FMO}:    	${FMOOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${FMOOBJS} ${DLIBS}

${INDEXER}:    	${INDEXEROBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${INDEXEROBJS} ${DLIBS}

${TEST}:    	${TESTOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${TESTOBJS} ${DLIBS}

${VECREG}:    	${VECREGOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${VECREGOBJS} ${DLIBS}


${KURTOSIS}:   ${KURTOSISOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${KURTOSISOBJS} ${DLIBS}

${SWAPDYADS}: ${SWAPDYADSOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${SWAPDYADSOBJS} ${DLIBS}

${PVMFIT}:    	${PVMFITOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${PVMFITOBJS} ${DLIBS}

${DTIGEN}:    	${DTIGENOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${DTIGENOBJS} ${DLIBS}

=== src/feat5/Makefile ===
include $(FSLCONFDIR)/default.mk

PROJNAME = feat5

USRINCFLAGS = -I${INC_NEWMAT} -I${INC_PROB} -I${INC_ZLIB} -I${INC_GD} -I${INC_GDC} -I${INC_PNG} 
USRLDFLAGS =  -L${LIB_NEWMAT} -L${LIB_PROB} -L${LIB_ZLIB} -L${LIB_GD} -L${LIB_GDC} -L${LIB_PNG}

IOLIBS = -lfslio -lniftiio -lznz
LIBS = -lutils -lnewimage -lmiscplot -lmiscpic -lmiscmaths -lprob -lnewmat $(IOLIBS) -lm -lz  -lgdc -lgd -lpng

XFILES = cutoffcalc feat_model tsplot prewhiten

RUNTCLS = Feat Renderhighres Featquery Glm

SCRIPTS = easythresh feat mccutup renderhighres featregapply featquery fslerrorreport invfeatreg updatefeatreg estnoise perfusion_subtract match_smoothing fsl_motion_outliers feat_gm_prepare

all: cutoffcalc feat_model tsplot prewhiten defaultfiles

defaultfiles:
	sed s/VVV/`grep "set fmri(version)" featlib.tcl | grep "\." | awk '{print $$3}'`/g doc/ORIGtop.html > doc/top.html
	@if [ ! -d ${DESTDIR}/etc ] ; then ${MKDIR} ${DESTDIR}/etc ; ${CHMOD} g+w ${DESTDIR}/etc ; fi
	${CP} -rf default_flobs.flobs ${DESTDIR}/etc
	${CP} -f featconf doc/feat.tcl
	@if [ ! -d ${DESTDIR}/etc/fslconf ] ; then ${MKDIR} ${DESTDIR}/etc/fslconf ; ${CHMOD} g+w ${DESTDIR}/etc/fslconf ; fi
	${CP} -f featconf ${DESTDIR}/etc/fslconf/feat.tcl

featlib.o: featlib.cc featlib.h
	$(CXX) $(CXXFLAGS) -c -o featlib.o featlib.cc

tsplot: tsplot.cc featlib.o featlib.h
	$(CXX) $(CXXFLAGS) -o tsplot featlib.o tsplot.cc $(LDFLAGS) $(LIBS)

prewhiten: prewhiten.cc featlib.o featlib.h
	$(CXX) $(CXXFLAGS) -o prewhiten featlib.o prewhiten.cc $(LDFLAGS) $(LIBS)

cutoffcalc: cutoffcalc.cc 
	$(CXX) $(CXXFLAGS) -o cutoffcalc cutoffcalc.cc $(LDFLAGS) $(LIBS)

feat_model: feat_model.cc featlib.o
	$(CXX) $(CXXFLAGS) -o feat_model featlib.o feat_model.cc $(LDFLAGS) $(LIBS)

retroicor_evs: retroicor_evs.cc 
	$(CXX) $(CXXFLAGS) -o retroicor_evs retroicor_evs.cc $(LDFLAGS) $(LIBS)

=== src/film/Makefile ===
include ${FSLCONFDIR}/default.mk

PROJNAME = film

USRINCFLAGS = -I${INC_NEWMAT} -I${INC_PROB} -I${INC_ZLIB}
USRLDFLAGS = -L${LIB_NEWMAT} -L${LIB_PROB} -L${LIB_ZLIB}

LIBS = -lnewimage -lmiscmaths -lutils -lm -lnewmat -lfslio -lniftiio -lznz -lprob -lz

XFILES = film_gls contrast_mgr ttoz ftoz ttologp

OBJS =  ContrastMgrOptions.o ContrastMgr.o gaussComparer.o AutoCorrEstimator.o glm.o paradigm.o FilmOlsOptions.o FilmGlsOptionsRes.o FilmGlsOptions.o glimGls.o

#OPTFLAGS =

all:	${XFILES}

#film_ols:${OBJS} film_ols.o
#	${CXX}  ${CXXFLAGS} ${LDFLAGS} -o $@ ${OBJS} film_ols.o ${LIBS}

contrast_mgr:${OBJS} contrast_mgr.o
	${CXX}  ${CXXFLAGS} ${LDFLAGS} -o $@ ${OBJS} contrast_mgr.o ${LIBS}

ttoz:${OBJS} ttoz.o
	${CXX}  ${CXXFLAGS} ${LDFLAGS} -o $@ ${OBJS} ttoz.o ${LIBS}

ttologp:${OBJS} ttologp.o
	${CXX}  ${CXXFLAGS} ${LDFLAGS} -o $@ ${OBJS} ttologp.o ${LIBS}

ftoz:${OBJS} ftoz.o
	${CXX}  ${CXXFLAGS} ${LDFLAGS} -o $@ ${OBJS} ftoz.o ${LIBS}

film_gls:${OBJS} film_gls.o
	${CXX}  ${CXXFLAGS} ${LDFLAGS} -o $@ ${OBJS} film_gls.o ${LIBS}

film_gls_res:${OBJS} film_gls_res.o
	${CXX}  ${CXXFLAGS} ${LDFLAGS} -o $@ ${OBJS} film_gls_res.o ${LIBS}

quick:${OBJS} quick.o
	${CXX}  ${CXXFLAGS} ${LDFLAGS} -o $@ ${OBJS} quick.o ${LIBS}

=== src/filmbabe/Makefile ===
include ${FSLCONFDIR}/default.mk

PROJNAME = filmbabe

USRINCFLAGS = -I${INC_NEWMAT} -I${INC_PROB} -I${INC_GD} -I${INC_GDC} -I${INC_PNG} -I${INC_ZLIB}
USRLDFLAGS = -L${LIB_NEWMAT} -L${LIB_PROB} -L${LIB_GD} -L${LIB_GDC} -L${LIB_PNG} -L${LIB_ZLIB}

LIBS = -lutils -lmiscplot -lmiscpic -lnewimage -lmiscmaths -lnewmat -lfslio -lniftiio -lprob -lgdc -lgd -lpng -lznz -lz -lm

SCRIPTS = filmbabescript

XFILES = filmbabe halfcosbasis

TCLFILES = *.tcl *.ppm

RUNTCLS = Make_flobs

OBJS = halfcosbasisoptions.o filmbabe_manager.o filmbabeoptions.o filmbabe_vb_flobs.o

#OPTFLAGS =

all:	${XFILES}

filmbabe:${OBJS} filmbabe.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${OBJS} filmbabe.o ${LIBS}

halfcosbasis:halfcosbasisoptions.o halfcosbasis.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ halfcosbasisoptions.o halfcosbasis.o ${LIBS}

=== src/first/Makefile ===
# $Id: Makefile,v 1.27 2009/03/24 13:55:27 mark Exp $
include ${FSLCONFDIR}/default.mk

PROJNAME = first

USRINCFLAGS = -I${INC_NEWMAT}

USRLDFLAGS = -L${LIB_NEWMAT} 


LIBS= -lshapeModel -lfirst_lib -lfslvtkio -lmeshclass -lnewimage -lprob -lmiscmaths -lfslio -lniftiio -lznz -lnewmat  -lutils -lz 

FMBLIBS= -lnewimage -lmiscmaths -lfslio -lniftiio -lznz -lnewmat  -lutils -lz 

XFILES= first first_utils first_mult_bcorr

SCRIPTS = run_first run_first_all first_flirt concat_bvars first_roi_slicesdir first_boundary_corr surface_fdr

all: ${XFILES}

first: first.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ first.o ${LIBS}

first_utils: first_utils.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ first_utils.o ${LIBS}

first_mult_bcorr: first_mult_bcorr.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ first_mult_bcorr.o ${FMBLIBS}

=== debian/changelog ===
fsl (4.1.9-7.2) unstable; urgency=low

  * Non-maintainer upload.
  * Really replaced tcl8.4 and tk8.4 by tcl and tk in the package dependencies
    (Closes: #737187).

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 15 Mar 2014 21:03:23 +0400

fsl (4.1.9-7.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replaced tcl8.4 and tk8.4 by tcl and tk in the package dependencies
    (Closes: #737187).

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 31 Jan 2014 22:19:04 +0400

fsl (4.1.9-7) unstable; urgency=low

  * Stop regenerating tclIndex during postinst. This is no longer necessary
    since libfslio and its TCL scripts are built from the FSL source package
    -- which is since 4.1.1 or four years (Closes: #689166).

 -- Michael Hanke <mih@debian.org>  Thu, 06 Sep 2012 09:10:33 +0200

fsl (4.1.9-6) unstable; urgency=low

  * Declare a conflict to pre-4.1.9-5 fsl4.1-doc packages. Otherwise,
    upgrades might fail due to duplicate files .

 -- Michael Hanke <mih@debian.org>  Fri, 08 Jun 2012 07:54:20 +0200

fsl (4.1.9-5) unstable; urgency=low

  * Bugfix release.
  * Bumped Standard version to 3.9.3 -- no changes necessary.
  * Adjustments for Octave transition: changed dependencies in debian/control,
    make call to octave-depends conditional upon its presence to allow for
    easy backports (Closes: #674426)
  * Move fsl.css from -doc into the main package to prevent error message due
    to failed access to this file when the -doc package is not installed.
    (Closes: #675195)

 -- Michael Hanke <mih@debian.org>  Fri, 01 Jun 2012 10:35:16 +0200

fsl (4.1.9-4) unstable; urgency=low

  * Actually do the changes listed for 4.1.9-3. They needed to be implemented
    in the template files.

 -- Michael Hanke <mih@debian.org>  Sat, 17 Mar 2012 10:23:23 +0100

fsl (4.1.9-3) unstable; urgency=low

  * Relax dependency of fsl-doc on fslview-doc to recommends. FSLView is
    no longer available in unstable.

 -- Michael Hanke <mih@debian.org>  Sat, 14 Jan 2012 11:26:18 +0100

fsl (4.1.9-2) unstable; urgency=low

  * Added patch to prevent MATLAB scripts from failing because MATLAB
    redefines LD_LIBRARY_PATH. Courtesy of Duncan Mortimer.
  * Added initial support for using Condor for cluster support instead of
    SGE (FSLPARALLEL=condor).

 -- Michael Hanke <mih@debian.org>  Fri, 16 Dec 2011 19:24:00 +0100

fsl (4.1.9-1) unstable; urgency=low

  * New upstream relase. Merged patches (gdc_bugfix, missing_newline,
    gcc_compat).
  * Make fslview recommended (instead of depend), as it is currently not
    available for post-squeeze systems, due to VTK5-Qt3 dependency.
  * Remove brace expansion in debhelper install file (reported by lintian).

 -- Michael Hanke <mih@debian.org>  Mon, 24 Oct 2011 15:06:03 +0200

=== debian/control ===
Source: fsl
Section: non-free/science
Priority: optional
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 7), zlib1g-dev (>= 1.2.2),
 libboost-dev (>= 1.32.0), libpng12-dev (>= 1.2.8rel),
 libgd2-noxpm-dev (>= 2.0.33) | libgd2-xpm-dev (>= 2.0.33), libnewmat10-dev,
 libgdchart-gd2-noxpm-dev | libgdchart-gd2-xpm-dev,
 liboctave-dev | octave3.2-headers | octave3.0-headers, tcl,
 imagemagick, libnifti-dev (>> 1.1.0-1)
Standards-Version: 3.9.3
Homepage: http://www.fmrib.ox.ac.uk/fsl/
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/fsl.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/fsl.git
XS-Autobuild: yes
XS-DM-Upload-Allowed: yes

Package: fsl
Architecture: all
Depends: ${misc:Depends}, fsl-4.1 (>= 4.1.6-4~)
Description: Metapackage for the latest version of FSL
 FSL is a comprehensive library of image analysis and statistical tools
 for fMRI, MRI and DTI brain imaging data. The suite consists of various
 command line tools, as well as simple GUIs for its core analysis pipelines.
 Among others, FSL offers implementations of standard GLM analysis,
 white matter tractography, tissue segmentation, affine and non-linear
 co-registration, and independent component analysis.

Package: fsl-4.1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mozilla-firefox | www-browser, tcsh | c-shell, tk, tcl, bc, dc
Recommends: fsl-doc-4.1 (= ${source:Version}), fsl-atlases, fslview
Suggests: fsl-feeds, octave | ${octave:Depends}, dicomnifti, fsl-possum-data, fsl-first-data, gridengine-client
Conflicts: fsl-fslview, fsl-doc-4.1 (<< 4.1.9-5~)
Description: analysis tools for FMRI, MRI and DTI brain imaging
 FSL is a comprehensive library of image analysis and statistical tools
 for fMRI, MRI and DTI brain imaging data. The suite consists of various
 command line tools, as well as simple GUIs for its core analysis pipelines.
 Among others, FSL offers implementations of standard GLM analysis,
 white matter tractography, tissue segmentation, affine and non-linear
 co-registration, and independent component analysis.
 .
 FSL interoperates well with other brain imaging related software. This includes
 Caret, FreeSurfer (cortical flattening and modelling). All FSL tools support
 the NIfTI format.

Package: fsl-doc-4.1
Section: non-free/doc
Architecture: all
Depends: ${misc:Depends}
Recommends: fslview-doc
Provides: fsl-doc
Description: documentation for FSL
 FSL is a comprehensive library of image analysis and statistical tools
 for fMRI, MRI and DTI brain imaging data. The suite consists of various
 command line tools, as well as simple GUIs for its core analysis pipelines.
 Among others, FSL offers implementations of standard GLM analysis,
 white matter tractography, tissue segmentation, affine and non-linear
 co-registration, and independent component analysis.
 FSL is a comprehensive library of image analysis and statistical tools
 for FMRI, MRI and DTI brain imaging data.
 .
 This package provides the FSL documentation in HTML format.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

FSLMAJORVERSION = 4.1

# enable exented globbing in the shell to be able to use more
# sophisticated stuff in dh_install files
SHELL := /bin/bash -O extglob

# get octave paths (have to build-depend on octave-headers)
include /usr/share/octave/debian/defs.make

# This has to be exported to make some magic below work.
export DH_OPTIONS

# specify all FSL projects that shall be built
PROJECTS = \
  utils fslio miscmaths newimage libhfunc libvis first_lib meshclass fslvtkio \
  misc_tcl basisfield warpfns bint shapeModel MVdisc libmeshutils \
  avwutils bet2 cluster fast4 feat5 film filmbabe flirt fabber fslpres fslvbm \
  mcflirt melodic misc_c miscvis mm randomise siena slicetimer susan tbss \
  fnirt fugue misc_scripts fdt first possum sgeutils flameo

# specify FSL extras to be built
EXTRAS = libprob libcprob cprob

# set essential config vars for FSL build process
FSLDIR=$(CURDIR)
FSLCONFDIR=$(FSLDIR)/config

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	OPTFLAGS = -O0
else
	# -O3 seems to kill GCC for some pieces on some architectures, sometimes
	# (miscmaths, avwutils)
	OPTFLAGS = -O2
endif

# default compiler flags
# apply to FSL as 'ANSI_FLAGS'
CFLAGS = -Wall -g -DHAVE_LIBFREETYPE -fPIC \
         -I/usr/include/nifti \
         -I/usr/include/newmat \
         -I$(FSLDIR)/extras/src/libprob -I$(FSLDIR)/extras/src/libcprob \
         -I$(FSLDIR)/src

# default linker flags
# apply to FSL as 'ARCHLDFLAGS'
LDFLAGS = -Wl,--no-undefined -L/usr/lib/fsl/lib
# 'as-needed' kills everything -- symbols of C libs get confused
# and results change -- remember cprob:gamma()
#LDFLAGS = -Wl,--no-undefined -Wl,--as-needed -L/usr/lib/fsl/lib

# where are the internal libs
FSL_LIBRARY_PATH=$(CURDIR)/lib

# install into this directory
DEB_DESTDIR=$(CURDIR)/debian/tmp

# define common environment setup for all make calls
# complicated LD_LIBRARY expression ensures that no
# trailing colon ends up in LD_LIBRARY_PATH
DEB_BUILD_ENV=LD_LIBRARY_PATH=$(FSL_LIBRARY_PATH)$${LD_LIBRARY_PATH:+:$${LD_LIBRARY_PATH}} \
		FSLDIR="$(FSLDIR)" \
		FSLCONFDIR="$(FSLCONFDIR)" \
		DEB_DESTDIR="$(DEB_DESTDIR)" \
		OPTFLAGS="$(OPTFLAGS)" \
		ANSI_FLAGS="$(CFLAGS)" \
		DEPENDFLAGS="$(CFLAGS)" \
		ARCHLDFLAGS="$(LDFLAGS)"

controlfiles:
	# inject current FSL major version into all templates
	for f in debian/templates/*; do \
		sed -e "s/#FSLMVERSION#/$(FSLMAJORVERSION)/g" $$f \
			> debian/$$(basename $$f) ; \
	done
	# renamed files that need to have a version-specific name
	for suffix in 1 desktop dirs install links lintian-overrides manpages menu docs; do \
		for prefix in fsl fsl-doc nudge; do \
		[ -f debian/$$prefix.$$suffix ] &&  \
			mv debian/$$prefix.$$suffix debian/$$prefix-$(FSLMAJORVERSION).$$suffix || true ; \
		done ; \
	done
	# and rename the meta-package files
	for f in debian/meta.*; do \
		target=$$(basename $$f); suffix=$${target#*.} ; \
		mv $$f debian/fsl.$$suffix; \
	done

cleancontrolfiles:
	# clean sed'ed files and intermediate rubbish
	for f in debian/templates/*; do\
		rm -f debian/$$(basename $$f) ; \
	done
	rm -f debian/fsl.preinst
	# versioned files
	rm -f debian/{fsl,fsl-doc,nudge}-$(FSLMAJORVERSION).{1,desktop,dirs,install,links,lintian-overrides,manpages,menu,preinst,docs}

# build and install extra
biextra-%:
	$(DEB_BUILD_ENV) $(MAKE) -C extras/src/$*
	$(DEB_BUILD_ENV) $(MAKE) -C extras/src/$* install

# cleanup extra
cextra-%:
	$(DEB_BUILD_ENV) $(MAKE) -C extras/src/$* distclean

# build and install sub-project
biproj-%:
	$(DEB_BUILD_ENV) $(MAKE) -C src/$*
	$(DEB_BUILD_ENV) $(MAKE) -C src/$* install

# cleanup sub-project
cproj-%:
	$(DEB_BUILD_ENV) $(MAKE) -C src/$* distclean

# build and install all extras
biextras: $(EXTRAS:%=biextra-%)

# clean all extras
cextras: $(EXTRAS:%=cextra-%)
	find extras/src -name '*.o' -delete


instdir:
# FSL does not separate build and install properly
# create temporary install dir now
	if [ ! -d $(DEB_DESTDIR) ]; then mkdir -p $(DEB_DESTDIR); fi
	dh_installdirs

# build and install all sub-projects
biprojs: $(PROJECTS:%=biproj-%)

# cleanup all sub-projects
cprojs: $(PROJECTS:%=cproj-%)


#Architecture
build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: instdir biextras biprojs
	dh_testdir

	# fix permissions
	find debian/tmp/tcl/BWidget -type f -exec chmod -x {} \;
	chmod 644 debian/tmp/tcl/*.{tcl,xbm,ppm,ico}
	chmod -x debian/tmp/etc/{flirtsch,fslpres}/*

	# cleanup TCL stuff
	rm -r debian/tmp/tcl/BWidget/BWMan/
	find debian/tmp/tcl/BWidget/ -name '*.txt' -delete

	# remove FSL internal binary and scripts
	rm debian/tmp/bin/{fslpres,eqn2gif,makehtmeqns}

	# silence lintian warning about a script which is actually documentation
	let "RES = $$(wc -l < src/possum/doc/readme) -1" \
		&& tail -n$${RES} src/possum/doc/readme > debian/tmp/doc/possum/readme

	# generate debhelper file to create /usr/bin symlinks and manpage links
	# for all relevant binaries installed by the versioned FSL package
	for f in $$(find debian/tmp/bin \! -type d \! -name Runtcl); do \
		bname=$$(basename $$f); \
		echo "/usr/lib/fsl/$(FSLMAJORVERSION)/fsl_app_wrapper /usr/bin/fsl$(FSLMAJORVERSION)-$$bname" >> debian/fsl-$(FSLMAJORVERSION).links ; \
		echo "/usr/share/man/man1/fsl-$(FSLMAJORVERSION).1.gz /usr/share/man/man1/fsl$(FSLMAJORVERSION)-$${bname}.1.gz" >> debian/fsl-$(FSLMAJORVERSION).links ; \
	done
	touch $@


clean: cleancontrolfiles controlfiles cextras cprojs
	dh_testdir
	dh_testroot

	# remove leftovers
	find $(CURDIR) -name '*.so' -delete
	-rm src/fdt/{xfibres,fdt_matrix_ops,indexer,replacevols,probtrackx,reord_OM,sausages,probtrack_old}
	-rm src/feat5/doc/{top.html,feat.tcl}
	-rm -r etc/standard lib

	# clean the remaining temp dir
	rm -rf include

	# finally clean package
	dh_clean

	# fix permissions in the source
	find src/ -name '*.fig' -or -name '*.gif' -exec chmod -x {} \;

	-rm build-stamp


# checks that the included desktop files are ok
validate-desktop-files:
	for f in $(CURDIR)/debian/desktop/*.desktop; do \
		desktop-file-validate $${f} ; \
	done


install: build
	# make FSL logo for menu entries
	convert debian/tmp/tcl/fsl-logo-tiny.ppm \
		-resize x32 -crop 32x32+6+0 debian/tmp/fsl-$(FSLMAJORVERSION).xpm

	# install fsl config
	cp -r -t debian/tmp etc
	# clean useless pieces
	rm debian/tmp/etc/fslconf/fslmachtype.sh


# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_install
	dh_installchangelogs
	dh_installman
	dh_installdocs
	dh_installmenu
	dh_lintian
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	# dh_shlibdeps needs access to the private libs
	dh_shlibdeps -l $(FSL_LIBRARY_PATH)
	# get the correct dependency for older octave
	[ -e /usr/bin/octave-depends ] \
        && octave-depends || true
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Build architecture independent packages using the common target.
binary-indep: install
	dh_installdirs -i

	# install docs (except images and stylesheet, which are in fsl package)
	cp -r doc/!(images) debian/fsl-doc-$(FSLMAJORVERSION)/usr/share/fsl/$(FSLMAJORVERSION)/doc
	rm -f debian/fsl-doc-$(FSLMAJORVERSION)/usr/share/fsl/$(FSLMAJORVERSION)/doc/fsl.css
	# wipe installer script - useless on Debian
	rm debian/fsl-doc-$(FSLMAJORVERSION)/usr/share/fsl/$(FSLMAJORVERSION)/doc/fsl/fsl_installer.sh

	# cleanup doc path
	rm debian/tmp/doc/feat5/DO
	-rm debian/tmp/doc/fsl/fsl_installer.sh

	# clean empty dirs from doc package
	find debian/fsl-doc-$(FSLMAJORVERSION)/usr/share/fsl/$(FSLMAJORVERSION)/doc -depth -type d -empty -exec rmdir {} \;
	find debian/tmp/doc -depth -type d -empty -exec rmdir {} \;

	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common


# Build architecture dependant packages using the common target.
binary-arch: install
	dh_installdirs -a

	# install the stylesheet
	cp -r doc/fsl.css debian/fsl-$(FSLMAJORVERSION)/usr/share/fsl/$(FSLMAJORVERSION)/doc

=== debian/watch ===
version=3
http://pkg-exppsy.alioth.debian.org/watchhelper/fsl.html \
	.*fsl-(.*)-sources\.tar\.gz

## fsl 5.0.2

=== src/fabber/Makefile ===
include ${FSLCONFDIR}/default.mk

PROJNAME = fabber

USRINCFLAGS = -I${INC_NEWMAT} -I${INC_PROB} -I${BOOSTDIR} -D__OXASL
USRLDFLAGS = -L${LIB_NEWMAT} -L${LIB_PROB}

LIBS = -lutils -lnewimage -lmiscmaths -lprob -lnewmat -lfslio -lniftiio -lznz -lz 

XFILES = fabber mvntool



OBJS = fwdmodel_custom.o fwdmodel_flobs.o tools.o fwdmodel_q2tips.o inference_spatialvb.o dataset.o inference_vb.o noisemodel.o noisemodel_white.o fwdmodel_quipss2.o fwdmodel_pcASL.o fwdmodel.o fwdmodel_simple.o fwdmodel_linear.o noisemodel_ar.o inference.o dist_mvn.o easylog.o easyoptions.o fwdmodel_asl_grase.o fwdmodel_asl_buxton.o inference_nlls.o fwdmodel_asl_pvc.o  fwdmodel_asl_satrecov.o fwdmodel_asl_quasar.o fwdmodel_cest.o

# For debugging:
OPTFLAGS = -ggdb
#OPTFLAGS =

all:	${XFILES}

fabber: ${OBJS} fabber.o
	${CXX}  ${CXXFLAGS} ${LDFLAGS} -o $@ ${OBJS} fabber.o ${LIBS}

mvntool: ${OBJS} mvntool.o
	${CXX}  ${CXXFLAGS} ${LDFLAGS} -o $@ ${OBJS} mvntool.o ${LIBS}

SCRIPTS = fabber_var

# DO NOT DELETE

=== src/fslsurface/Makefile ===
# $Id: Makefile,v 1.17 2012/09/07 13:32:47 duncan Exp $
include ${FSLCONFDIR}/default.mk

PROJNAME = fslsurface

LINUX_LIBS=-lGL -lGLU 
isapple = $(findstring apple, $(FSLMACHTYPE))
applebitness = -arch i386 -arch x86_64

ifeq ($(FSLMACHTYPE),apple-darwin8-gcc4.0)
        SYSROOT = -isysroot /Developer/SDKs/MacOSX10.4u.sdk -I/usr/X11R6/include/
        SYSROOTL = -L/Developer/SDKs/MacOSX10.4u.sdk/usr/X11R6/lib/ 
        applebitness = -arch i386
endif
ifeq ($(isapple),apple)
        ARCHFLAGS =  $(applebitness) $(SYSROOT) 
        ARCHLDFLAGS = -Wl,-search_paths_first -arch i386 -arch x86_64 $(SYSROOT) $(SYSROOTL) -framework OpenGL -framework GLUT
	LINUX_LIBS=
endif 

USRINCFLAGS = -I${INC_NEWMAT} -I${INC_PROB} -I${INC_ZLIB} -I${FSLDIR}/include/niftiio 

USRLDFLAGS = -L${LIB_NEWMAT}  -L${INC_PROB} -L${LIB_ZLIB} -L./ 


LIBS=-lgiftiio -lexpat -lfirst_lib -lmeshclass
FMLIBS= -lshapeModel -lfslvtkio -lmeshclass -lnewimage -lmiscmaths  -lfslio -lniftiio -lznz -lnewmat -lutils -lprob -lz

APPLY_ZLIB = -DHAVE_ZLIB


SHAPEOBJS=fslsurface.o 
MODELOBJS=fslsurface.o

BRIANLIBFILES=fslsurfacegl.a
LIBFILES=fslsurface.a fslsurface_backcompat.a
XFILES=fslsurfacemaths

all:  ${LIBFILES} ${XFILES}

fslsurface.a: fslsurfacefns.o fslsurfaceio.o fslsurface.o 
	${AR} -r libfslsurface.a  fslsurfacefns.o fslsurfaceio.o fslsurface.o
fslsurfacegl.a: fslsurfacegl.o fslsurface.a
	${AR} -r libfslsurfacegl.a fslsurfacegl.o
fslsurface_backcompat.a: fslsurface_first.o fslsurface_dataconv.o fslsurface.a
	${AR} -r libfslsurface_backcompat.a fslsurface_first.o fslsurface_dataconv.o
fslsurfacemaths: fslsurface.a fslsurfacemaths.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fslsurfacemaths.o fslsurfaceio.o fslsurfacefns.o fslsurface_first.o fslsurface.o ${LIBS} ${FMLIBS} ${LINUX_LIBS}
marching_cubes: fslsurface.a marching_cubes.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ marching_cubes.o fslsurfaceio.o fslsurfacefns.o ${LIBS} ${FMLIBS} ${LINUX_LIBS}

=== src/melodic/Makefile ===
# A Makefile for MELODIC

include ${FSLCONFDIR}/default.mk

OPTFLAGS = -O3 -Wno-deprecated 
OPTFLAGS_alphaev6-dec-osf5.0-gcc2.95.2 = -O3 -mieee -mfp-trap-mode=sui

PROJNAME = melodic

USRINCFLAGS = -I${INC_NEWMAT} -I${INC_PROB} -I${INC_GD} -I${INC_GDC} -I${INC_PNG} -I${INC_ZLIB}
USRLDFLAGS = -L${LIB_NEWMAT} -L${LIB_PROB} -L${LIB_GD} -L${LIB_GDC} -L${LIB_PNG} -L${LIB_ZLIB}

LIBS = -lutils -lnewimage -lmiscplot -lmiscpic -lmiscmaths -lfslio -lniftiio -lznz -lnewmat -lprob -lm  -lgdc -lgd -lpng -lz

TEST_OBJS = test.o 

GGMIX_OBJS = ggmix.o

FSL_GLM_OBJS = melhlprfns.o fsl_glm.o

FSL_SBCA_OBJS = melhlprfns.o fsl_sbca.o

FSL_MVLM_OBJS = melhlprfns.o fsl_mvlm.o

FSL_REGFILT_OBJS = melhlprfns.o fsl_regfilt.o

FSL_SCHURPROD_OBJS = melhlprfns.o fsl_schurprod.o

MELODIC_OBJS =  meloptions.o melhlprfns.o melgmix.o meldata.o melpca.o melica.o melreport.o melodic.o 

TESTXFILES = test

XFILES = fsl_glm fsl_sbca fsl_mvlm fsl_regfilt fsl_schurprod melodic

OTHERFILES =

BUILD_SBCA = $(shell [ -f fsl_sbca.cc ]; echo $$?)
ifeq ($(BUILD_SBCA), 0)
	OTHERFILES+=fsl_sbca
endif

BUILD_MVLM = $(shell [ -f fsl_mvlm.cc ]; echo $$?)
ifeq ($(BUILD_MVLM), 0)
        OTHERFILES+=fsl_mvlm
endif

BUILD_SCHUR = $(shell [ -f fsl_schurprod.cc ]; echo $$?)
ifeq ($(BUILD_SCHUR), 0)
	OTHERFILES+=fsl_schurprod
endif

XFILES+=${OTHERFILES}


RUNTCLS = Melodic

SCRIPTS = melodicreport dual_regression

all: ggmix fsl_regfilt fsl_glm melodic ${OTHERFILES}

ggmix: ${GGMIX_OBJS}
	${AR} -r libggmix.a ${GGMIX_OBJS} 

melodic: ${MELODIC_OBJS}
	$(CXX) ${CXXFLAGS} ${LDFLAGS} -o $@ ${MELODIC_OBJS} ${LIBS}

test: ${TEST_OBJS}
	$(CXX) ${CXXFLAGS} ${LDFLAGS} -o $@ ${TEST_OBJS} ${LIBS}

fsl_glm: ${FSL_GLM_OBJS}
	$(CXX) ${CXXFLAGS} ${LDFLAGS} -o $@ ${FSL_GLM_OBJS} ${LIBS}

fsl_sbca: ${FSL_SBCA_OBJS}
		$(CXX) ${CXXFLAGS} ${LDFLAGS} -o $@ ${FSL_SBCA_OBJS} ${LIBS}

fsl_schurprod: ${FSL_SCHURPROD_OBJS}
				$(CXX) ${CXXFLAGS} ${LDFLAGS} -o $@ ${FSL_SCHURPROD_OBJS} ${LIBS}

fsl_mvlm: ${FSL_MVLM_OBJS}
		$(CXX) ${CXXFLAGS} ${LDFLAGS} -o $@ ${FSL_MVLM_OBJS} ${LIBS}

fsl_regfilt: ${FSL_REGFILT_OBJS}
	$(CXX) ${CXXFLAGS} ${LDFLAGS} -o $@ ${FSL_REGFILT_OBJS} ${LIBS}

=== debian/changelog ===
fsl (5.0.2-4~nd10.10+1) maverick; urgency=low

  * Backported for maverick.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 21 Jan 2013 14:31:12 -0500

fsl (5.0.2-4) UNRELEASED; urgency=low

  * Removed left-over debug statement that broke fsl_sub again.

 -- Michael Hanke <mih@debian.org>  Sun, 20 Jan 2012 15:26:26 +0100

fsl (5.0.2-3) UNRELEASED; urgency=low

  * Modifications of fsl_sub behavior and configuration:
    - Add a configuration option to fsl.sh (FSLCLUSTER_DEFAULT_QUEUE) to
      specify a default queue for job submissions. This can be used to amend
      the default queue selection by resource demands.
    - Fix a bug in the Debian patch where job submission fails when fsl_sub is
      called without -q.
    - Fix a bug to actually honor the FSLCUSTER_MAILOPTS variable when set.
    - Restructure and minimize the upstream diff in fsl_sub to make it less
      likely to break again with future upstream changes.

 -- Michael Hanke <mih@debian.org>  Sun, 20 Jan 2012 15:26:26 +0100

fsl (5.0.2-2) UNRELEASED; urgency=low

  * Fix 'imglob' script (courtesy of Matthew Webster) that caused FEAT
    highlevel analyses to fail.
  * Enable OpenMP support for 'eddy' component.
  * Explicitly mention FSL data packages in package description and explain
    where they can be obtained.

 -- Michael Hanke <mih@debian.org>  Mon, 17 Dec 2012 17:02:36 +0100

fsl (5.0.2-1) UNRELEASED; urgency=low

  * New upstream bugfix release.
  * Updated patch for for new fsl_sub code.

 -- Michael Hanke <mih@debian.org>  Mon, 17 Dec 2012 17:02:36 +0100

fsl (5.0.1-1) UNRELEASED; urgency=low

  * New upstream bugfix release. It fixes some critical issues with FEAT
    (was crashing) and post-hoc output timecourses in MELODIC.
  * Stop regenerating tclIndex during postinst. This is no longer necessary
    since libfslio and its TCL scripts are built from the FSL source package
    -- which is since 4.1.1 or four years (Closes: #689166).

 -- Michael Hanke <mih@debian.org>  Thu, 06 Sep 2012 09:10:33 +0200

fsl (5.0.0-1) UNRELEASED; urgency=low

  * New upstream major release. Various new tools, bugfixes and speed
    improvements, as well as new wiki-based documentation.
  * Enable compilation and installation of previously missing and new
    components (Closes: #685486).
  * Added build-dependency on libglu1-mesa-dev and mesa-common-dev for
    fslsurface, as well as libexpatexpat-dev for other new code.

 -- Michael Hanke <mih@debian.org>  Thu, 06 Sep 2012 09:10:33 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,22 @@
 Priority: optional
 Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
-Build-Depends: debhelper (>= 7), zlib1g-dev (>= 1.2.2),
- libboost-dev (>= 1.32.0), libpng12-dev (>= 1.2.8rel),
- libgd2-noxpm-dev (>= 2.0.33) | libgd2-xpm-dev (>= 2.0.33), libnewmat10-dev,
- libgdchart-gd2-noxpm-dev | libgdchart-gd2-xpm-dev,
- liboctave-dev | octave3.2-headers | octave3.0-headers, tcl,
- imagemagick, libnifti-dev (>> 1.1.0-1)
+Build-Depends: debhelper (>= 7),
+               zlib1g-dev (>= 1.2.2),
+               libboost-dev (>= 1.32.0),
+               libpng12-dev (>= 1.2.8rel),
+               libgd2-noxpm-dev (>= 2.0.33) | libgd2-xpm-dev (>= 2.0.33),
+               libnewmat10-dev,
+               libgdchart-gd2-noxpm-dev | libgdchart-gd2-xpm-dev,
+               liboctave-dev | octave3.2-headers | octave3.0-headers,
+               tcl8.4 (>=8.4.7),
+               imagemagick,
+               libnifti-dev (>> 1.1.0-1),
+               libgiftiio-dev,
+               mesa-common-dev,
+               libexpat1-dev | libexpat-dev,
+               libglu1-mesa-dev | libglu-dev,
+               libgomp1
 Standards-Version: 3.9.3
 Homepage: http://www.fmrib.ox.ac.uk/fsl/
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/fsl.git
@@ -18,8 +28,9 @@
 
 Package: fsl
 Architecture: all
-Depends: ${misc:Depends}, fsl-4.1 (>= 4.1.6-4~)
-Description: Metapackage for the latest version of FSL
+Depends: ${misc:Depends},
+         fsl-5.0
+Description: metapackage for the latest version of FSL
  FSL is a comprehensive library of image analysis and statistical tools
  for fMRI, MRI and DTI brain imaging data. The suite consists of various
  command line tools, as well as simple GUIs for its core analysis pipelines.
@@ -27,12 +38,28 @@
  white matter tractography, tissue segmentation, affine and non-linear
  co-registration, and independent component analysis.
 
-Package: fsl-4.1
+Package: fsl-5.0
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, mozilla-firefox | www-browser, tcsh | c-shell, tk, tcl, bc, dc
-Recommends: fsl-doc-4.1 (= ${source:Version}), fsl-atlases, fslview
-Suggests: fsl-feeds, octave | ${octave:Depends}, dicomnifti, fsl-possum-data, fsl-first-data, gridengine-client
-Conflicts: fsl-fslview, fsl-doc-4.1 (<< 4.1.9-5~)
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         mozilla-firefox | www-browser,
+         tcsh | c-shell,
+         tk8.4 (>=8.4.7),
+         tcl8.4 (>=8.4.7),
+         bc,
+         dc,
+         python
+Recommends: fsl-doc-5.0 (= ${source:Version}),
+            fsl-atlases,
+            fslview
+Suggests: fsl-feeds,
+          octave | ${octave:Depends},
+          dicomnifti,
+          fsl-possum-data,
+          fsl-first-data,
+          gridengine-client
+Conflicts: fsl-fslview,
+           fsl-doc-4.1 (<< 4.1.9-5~)
 Description: analysis tools for FMRI, MRI and DTI brain imaging
  FSL is a comprehensive library of image analysis and statistical tools
  for fMRI, MRI and DTI brain imaging data. The suite consists of various
@@ -41,11 +68,16 @@
  white matter tractography, tissue segmentation, affine and non-linear
  co-registration, and independent component analysis.
  .
+ Some FSL components require additional data packages (fsl-atlases,
+ fsl-first-data, fsl-possum-data) that are currently available from the
+ NeuroDebian repository only. For more information on how to obtain these
+ data packages visit http://neuro.debian.net.
+ .
  FSL interoperates well with other brain imaging related software. This includes
  Caret, FreeSurfer (cortical flattening and modelling). All FSL tools support
  the NIfTI format.
 
-Package: fsl-doc-4.1
+Package: fsl-doc-5.0
 Section: non-free/doc
 Architecture: all
 Depends: ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-FSLMAJORVERSION = 4.1
+FSLMAJORVERSION = 5.0
 
 # enable exented globbing in the shell to be able to use more
 # sophisticated stuff in dh_install files
@@ -15,11 +15,12 @@
 
 # specify all FSL projects that shall be built
 PROJECTS = \
-  utils fslio miscmaths newimage libhfunc libvis first_lib meshclass fslvtkio \
-  misc_tcl basisfield warpfns bint shapeModel MVdisc libmeshutils \
-  avwutils bet2 cluster fast4 feat5 film filmbabe flirt fabber fslpres fslvbm \
+  utils fslio miscmaths newimage libvis first_lib meshclass fslvtkio \
+  misc_tcl basisfield warpfns bint shapeModel MVdisc fslsurface libmeshutils \
+  avwutils basil bet2 cluster fast4 feat5 film filmbabe flirt fabber fslvbm \
   mcflirt melodic misc_c miscvis mm randomise siena slicetimer susan tbss \
-  fnirt fugue misc_scripts fdt first possum sgeutils flameo
+  fnirt fugue asl_mfree misc_scripts fdt first possum sgeutils flameo \
+  oxford_asl qboot topup ptx2 lesions eddy
 
 # specify FSL extras to be built
 EXTRAS = libprob libcprob cprob
@@ -40,6 +41,7 @@
 # apply to FSL as 'ANSI_FLAGS'
 CFLAGS = -Wall -g -DHAVE_LIBFREETYPE -fPIC \
          -I/usr/include/nifti \
+         -I/usr/include/gifti \
          -I/usr/include/newmat \
          -I$(FSLDIR)/extras/src/libprob -I$(FSLDIR)/extras/src/libcprob \
          -I$(FSLDIR)/src
@@ -146,18 +148,11 @@
 	# fix permissions
 	find debian/tmp/tcl/BWidget -type f -exec chmod -x {} \;
 	chmod 644 debian/tmp/tcl/*.{tcl,xbm,ppm,ico}
-	chmod -x debian/tmp/etc/{flirtsch,fslpres}/*
+	chmod -x debian/tmp/etc/flirtsch/*
 
 	# cleanup TCL stuff
 	rm -r debian/tmp/tcl/BWidget/BWMan/
 	find debian/tmp/tcl/BWidget/ -name '*.txt' -delete
-
-	# remove FSL internal binary and scripts
-	rm debian/tmp/bin/{fslpres,eqn2gif,makehtmeqns}
-
-	# silence lintian warning about a script which is actually documentation
-	let "RES = $$(wc -l < src/possum/doc/readme) -1" \
-		&& tail -n$${RES} src/possum/doc/readme > debian/tmp/doc/possum/readme
 
 	# generate debhelper file to create /usr/bin symlinks and manpage links
 	# for all relevant binaries installed by the versioned FSL package
@@ -175,7 +170,7 @@
 
 	# remove leftovers
 	find $(CURDIR) -name '*.so' -delete
-	-rm src/fdt/{xfibres,fdt_matrix_ops,indexer,replacevols,probtrackx,reord_OM,sausages,probtrack_old}
+	-rm src/fdt/{xfibres,fdt_matrix_ops,indexer,replacevols,probtrackx,reord_OM,sausages,probtrack_old,xfibres_pred,rearrange}
 	-rm src/feat5/doc/{top.html,feat.tcl}
 	-rm -r etc/standard lib
 
@@ -207,6 +202,9 @@
 	cp -r -t debian/tmp etc
 	# clean useless pieces
 	rm debian/tmp/etc/fslconf/fslmachtype.sh
+	# do not install license files
+	rm debian/tmp/etc/js/LICENSE.txt
+
 
 
 # Must not depend on anything. This is to be called by
@@ -240,19 +238,8 @@
 binary-indep: install
 	dh_installdirs -i
 
-	# install docs (except images and stylesheet, which are in fsl package)
-	cp -r doc/!(images) debian/fsl-doc-$(FSLMAJORVERSION)/usr/share/fsl/$(FSLMAJORVERSION)/doc
-	rm -f debian/fsl-doc-$(FSLMAJORVERSION)/usr/share/fsl/$(FSLMAJORVERSION)/doc/fsl.css
-	# wipe installer script - useless on Debian
-	rm debian/fsl-doc-$(FSLMAJORVERSION)/usr/share/fsl/$(FSLMAJORVERSION)/doc/fsl/fsl_installer.sh
-
 	# cleanup doc path
-	rm debian/tmp/doc/feat5/DO
 	-rm debian/tmp/doc/fsl/fsl_installer.sh
-
-	# clean empty dirs from doc package
-	find debian/fsl-doc-$(FSLMAJORVERSION)/usr/share/fsl/$(FSLMAJORVERSION)/doc -depth -type d -empty -exec rmdir {} \;
-	find debian/tmp/doc -depth -type d -empty -exec rmdir {} \;
 
 	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common
 
@@ -264,3 +251,14 @@
 	# install the stylesheet
 	cp -r doc/fsl.css debian/fsl-$(FSLMAJORVERSION)/usr/share/fsl/$(FSLMAJORVERSION)/doc
 
+	# remove previous link to make repeated builds work
+	-rm debian/fsl-$(FSLMAJORVERSION)/usr/share/fsl/$(FSLMAJORVERSION)/etc/fslconf/{feat.tcl,fsl.sh}
+
+	# set execute permission for GUI application wrapper
+	chmod +x debian/fsl_app_wrapper
+
+	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common
+
+
+binary: binary-arch binary-indep
+.PHONY: build clean binary-indep binary-arch binary
